local T, C, L = unpack(Tukui)
if not C.unitframes.enable then return end
local oUF = oUFTukui or oUF

T.unitframefuncs["TukuiTargetTarget"] = function(self)
	local enabled, width, height = T.GetUnitConfig("targettarget")
	
	local health = self.Health
	local power = self.Power
	local castbar = self.Castbar
	local nameText = self.Name
	
	health:ClearAllPoints()
	health:AllPoints(self, 2)
	
	if power then power:Kill() end
	if castbar then castbar:Kill() end
	
	nameText:ClearAllPoints()
	nameText:SetPoint("LEFT", health, "LEFT", 5, 0)
	self:Tag(nameText, '[Tukui:namelong] [Tukui:diffcolor][st:level]')
	
	self:AddDetail(10, height, "RIGHT", self, "LEFT", -3, 0)
	-- self:CreateAuraTracker(height, "RIGHT", self.Detail, "LEFT", -3, 0)
end