local T, C, L = unpack(Tukui)

local ENABLE_MOVE = false --Used for MoveUI

local bars = { TukuiBar1, TukuiBar2, TukuiBar3, TukuiBar4, TukuiBar5, TukuiPetBar }
local classbars = {
	TukuiHolyPowerMover,
	TukuiEclipseMover,
	TukuiRuneBarsMover,
	TukuiArcaneBlastMover,
	TukuiComboPointsMover,
	TukuiFulminationMover,
	TukuiTotemTimersMover,
	TukuiSoulShardsMover,
	TukuiThunderclapMover
}

local function MoveUI()
	if InCombatLockdown() then return end
	if ENABLE_MOVE then ENABLE_MOVE = false else ENABLE_MOVE = true end
	
	for _, bar in pairs(bars) do
		if ENABLE_MOVE then
			for _,button in pairs(T.GetActionButtons()) do
				button:Hide()		
			end
			bar:SetTemplate()
			bar:SetBackdropBorderColor(1, 0, 0)
			if not bar.moveText then bar:AddText("moveText", "", "CENTER") end
			bar.moveText:SetText(bar:GetName())
		else
			for _,button in pairs(T.GetActionButtons()) do
				button:Show()
			end
			bar:SetBackdrop(nil)
			bar.moveText:SetText("")
		end
	end
	
	for _, cb in pairs(classbars) do
		if cb then
			if ENABLE_MOVE then
				cb:Show()
			else
				cb:Hide()
			end
		end
	end
	
end
hooksecurefunc(_G.SlashCmdList, "MOVING", MoveUI)