local T, C, L = unpack(Tukui)
if not C.unitframes.enable then return end
local oUF = oUFTukui or oUF

T.unitframefuncs["TukuiPlayer"] = function(self)
	local enabled, width, height = T.GetUnitConfig("player")
	
	self.width = width
	self.height = height
	
	self.Health:ClearAllPoints()
	self.Health:SetPoint("TOPLEFT", 2, -2)
	self.Health:SetPoint("BOTTOMRIGHT", self, "RIGHT", -2, 0)
	
	self.Power:ClearAllPoints()
	self.Power:SetPoint("BOTTOMLEFT", 44, 2)
	self.Power:SetPoint("TOPRIGHT", self.Health, "BOTTOMRIGHT", 0, -7)
	
	if self.Power.value then
		local value = self.Power.value
		value:ClearAllPoints()
		value:SetPoint("LEFT", self.Power, "LEFT", 5, 0)
	end
	
	if self.Health.value then
		local value = self.Health.value
		value:ClearAllPoints()
		value:SetPoint("LEFT", self.Health, "LEFT", 5, 0)
	end
	
	self:AddDetail(10, height, "LEFT", self, "RIGHT", 3, 0)
	self:CreateAuraTracker(height, "LEFT", self.Detail, "RIGHT", 3, 0)
	
	if self.Castbar and self.Castbar.button then
		self.Castbar.button:ClearAllPoints()
		self.Castbar.button:SetPoint("TOPLEFT", self.Health, "BOTTOMLEFT", -2, -5)
		self.Castbar.button:ThickBorder()
		self.Castbar.button.shadow:Kill()
		local size = self.Castbar:GetHeight()+self.Power:GetHeight()+11
		self.Castbar.button:SetSize(size, size)
	end
	
	if T.classFuncs[T.myclass] then T.classFuncs[T.myclass](self) end
	if T.classFuncs.GENERAL then T.classFuncs.GENERAL(self) end
end